<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\FastBlog.Core\FastBlog.Core.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="HtmlSanitizer" Version="8.1.870" />
    <PackageReference Include="Markdig" Version="0.37.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="8.0.8" />
    <PackageReference Include="Pek.Markdig.HighlightJs" Version="0.5.1" />
    <PackageReference Include="RainCrab.Plugins.AspNet" Version="0.2.0" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="md\" />
    <Folder Include="wwwroot\static\" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="Plugins\**\*">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Remove="Plugins\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Plugins\**" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Remove="Plugins\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Plugins\**" />
  </ItemGroup>

</Project>
